unit U_TradeClothTotalInList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, cxGridCustomTableView, cxGridTableView,
  cxGridBandedTableView, cxGridDBBandedTableView, cxGridLevel, cxClasses,
  cxControls, cxGridCustomView, cxGridDBTableView, cxGrid, StdCtrls, ComCtrls,
  ExtCtrls, ToolWin, cxGridCustomPopupMenu, cxGridPopupMenu, ADODB, DBClient,
  cxDropDownEdit, cxCheckBox, RM_Common, RM_Class, RM_e_Xls, RM_Dataset,
  RM_System, RM_GridReport, Menus, cxCalendar, cxButtonEdit, cxTextEdit, cxPC,
  cxLookAndFeels, cxLookAndFeelPainters, cxNavigator, dxDateRanges,
  dxBarBuiltInMenu, U_BaseList, dxScrollbarAnnotations, FrameDateSel,
  cxContainer, cxMaskEdit, cxProgressBar, dxSkinsCore, dxSkinsDefaultPainters,
  System.Math, Vcl.Clipbrd;

type
  TfrmTradeClothTotalInList = class(TfrmBaseList)
    ToolBar1: TToolBar;
    TBRafresh: TToolButton;
    TBFind: TToolButton;
    TBExport: TToolButton;
    TBClose: TToolButton;
    Panel1: TPanel;
    ADOQueryCmd: TADOQuery;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    DS_1: TDataSource;
    GPM_1: TcxGridPopupMenu;
    CDS_1: TClientDataSet;
    TBDel: TToolButton;
    PopupMenu1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    TBAdd: TToolButton;
    TBEdit: TToolButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label8: TLabel;
    Label12: TLabel;
    C_name: TcxTextEdit;
    FromCoName: TcxTextEdit;
    BCIONo: TcxTextEdit;
    C_ColorNo: TcxTextEdit;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    Label6: TLabel;
    FromOrdNo: TcxTextEdit;
    frmFrameDateSel1: TfrmFrameDateSel;
    IOType: TcxComboBox;
    Label7: TLabel;
    FtyPCId: TcxTextEdit;
    Label9: TLabel;
    StkCoName: TcxTextEdit;
    Label11: TLabel;
    BCIOID: TcxTextEdit;
    btn1: TToolButton;
    GPM_2: TcxGridPopupMenu;
    CDS_2: TClientDataSet;
    DS_2: TDataSource;
    ADO_2: TADOQuery;
    cxPageControl1: TcxPageControl;
    cxTabSheet1: TcxTabSheet;
    cxGrid2: TcxGrid;
    TV2: TcxGridDBTableView;
    cxGridDBColumn14: TcxGridDBColumn;
    cxGridDBColumn9: TcxGridDBColumn;
    cxGridDBColumn15: TcxGridDBColumn;
    cxGridDBColumn16: TcxGridDBColumn;
    cxGridDBColumn24: TcxGridDBColumn;
    cxGridDBColumn26: TcxGridDBColumn;
    cxGridDBColumn28: TcxGridDBColumn;
    cxGridDBColumn29: TcxGridDBColumn;
    cxGridDBColumn17: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    cxTabSheet2: TcxTabSheet;
    cxGrid1: TcxGrid;
    Tv1: TcxGridDBTableView;
    Tv1Column7: TcxGridDBColumn;
    Tv1Column37: TcxGridDBColumn;
    Tv1Column29: TcxGridDBColumn;
    Tv1Column30: TcxGridDBColumn;
    Tv1Column13: TcxGridDBColumn;
    Tv1Column19: TcxGridDBColumn;
    v1Column6: TcxGridDBColumn;
    v1Column2: TcxGridDBColumn;
    v1Column4: TcxGridDBColumn;
    v1Column14: TcxGridDBColumn;
    Tv1Column11: TcxGridDBColumn;
    Tv1Column20: TcxGridDBColumn;
    v2Column1: TcxGridDBColumn;
    v1Column8: TcxGridDBColumn;
    Tv1Column4: TcxGridDBColumn;
    v1Column13: TcxGridDBColumn;
    v1Column11: TcxGridDBColumn;
    Tv1Column6: TcxGridDBColumn;
    v1Column15: TcxGridDBColumn;
    v2Column6: TcxGridDBColumn;
    v1Column3: TcxGridDBColumn;
    v1Column5: TcxGridDBColumn;
    Tv1Column14: TcxGridDBColumn;
    v1Column19: TcxGridDBColumn;
    v1Column12: TcxGridDBColumn;
    v1Column20: TcxGridDBColumn;
    Tv1Column3: TcxGridDBColumn;
    Tv1Column5: TcxGridDBColumn;
    Tv1Column32: TcxGridDBColumn;
    Tv1Column1: TcxGridDBColumn;
    Tv1Column21: TcxGridDBColumn;
    Tv1Column2: TcxGridDBColumn;
    Tv1Column10: TcxGridDBColumn;
    Tv1Column8: TcxGridDBColumn;
    Tv1Column36: TcxGridDBColumn;
    Tv1Column9: TcxGridDBColumn;
    Tv1Column12: TcxGridDBColumn;
    Tv1Column15: TcxGridDBColumn;
    Tv1Column16: TcxGridDBColumn;
    Tv1Column17: TcxGridDBColumn;
    Tv1Column18: TcxGridDBColumn;
    Tv1Column22: TcxGridDBColumn;
    Tv1Column27: TcxGridDBColumn;
    Tv1Column33: TcxGridDBColumn;
    Tv1Column28: TcxGridDBColumn;
    Tv1Column31: TcxGridDBColumn;
    Tv1Column38: TcxGridDBColumn;
    Tv1Column39: TcxGridDBColumn;
    cxGrid1Level1: TcxGridLevel;
    Panel6: TPanel;
    Label31: TLabel;
    LBCPAP: TLabel;
    BTLP: TButton;
    BTNP: TButton;
    TCBNOR: TcxComboBox;
    N3: TMenuItem;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure TBRafreshClick(Sender: TObject);
    procedure ConNoMChange(Sender: TObject);
    procedure TBCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TBExportClick(Sender: TObject);
    procedure TBFindClick(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure TBDelClick(Sender: TObject);
    procedure TBAddClick(Sender: TObject);
    procedure TBEditClick(Sender: TObject);
    procedure BCIOIDChange(Sender: TObject);
    procedure C_specChange(Sender: TObject);
    procedure FromCoNameChange(Sender: TObject);
    procedure cxTabControl1Change(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure BCIOIDPropertiesChange(Sender: TObject);
    procedure cxButton4Click(Sender: TObject);
    procedure cxButton1Click(Sender: TObject);
    procedure cxButton5Click(Sender: TObject);
    procedure cxButton2Click(Sender: TObject);
    procedure cxButton3Click(Sender: TObject);
    procedure BCIONoKeyPress(Sender: TObject; var Key: Char);
    procedure IOTypePropertiesChange(Sender: TObject);
    procedure btn1Click(Sender: TObject);
    procedure TV2DblClick(Sender: TObject);
    procedure cxPageControl1Change(Sender: TObject);
    procedure N3Click(Sender: TObject);
  private
    CurrentPage, RecordsNumber: Integer;
    canshu1, FSTKName, canshu3, canshu4: string;
    FMXflag: string; //判断是否刷新所有的明细
    procedure InitGrid1();
    procedure InitGrid2();
    procedure setStatus();
    procedure InitGrid(MWSql: string);
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses
  U_DataLink, U_RTFun, U_RPFun, U_LabelPrint, U_AttachmentUpload,
  U_TradeClothTotalInInput1, U_TradeClothTotalInInput;

{$R *.dfm}
procedure TfrmTradeClothTotalInList.setStatus();
begin

end;

procedure TfrmTradeClothTotalInList.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  inherited;
  Action := caFree;
end;

procedure TfrmTradeClothTotalInList.FormCreate(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.EndDate.Date := SGetServerDate(ADOQueryTemp);
  frmFrameDateSel1.BegDate.Date := frmFrameDateSel1.EndDate.Date - 3;
  canshu1 := Trim(self.fParameters1);
  FSTKName := Trim(self.fParameters2);
  canshu3 := Trim(self.fParameters3);
  canshu4 := Trim(self.fParameters4);
end;

procedure TfrmTradeClothTotalInList.InitGrid1();
var
  SqlStr, WSqlStr: string;
begin

  SqlStr := ' select A.* ,Pieceint=CEILING(A.Piece) ';
  SqlStr := SqlStr + ',FJFlag=CAST((CASE WHEN (SELECT COUNT(X.FileName) FROM FJ_File X where X.TFType=''贸易汇总布'' and X.WBID=A.BCIOID)>0 THEN 1 ELSE 0 END) AS BIT)';
  SqlStr := SqlStr + ' from BS_Cloth_IO A';
  SqlStr := SqlStr + ' where A.IOTime>=''' + Trim(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.BegDate.Date)) + '''';
  SqlStr := SqlStr + ' and A.IOTime<''' + Trim(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.enddate.Date + 1)) + '''';
  SqlStr := SqlStr + ' and isnull(STKNAME,'''')=''' + Trim(FSTKNAME) + '''';
  SqlStr := SqlStr + ' and IOFlag=''入库''  ';
  if FMXflag = '是' then  //是就是刷新所有的明细
  begin

  end
  else
  begin
    WSqlStr := CommonFiltersByTv(Tv2, '{"RemovalNull":true,"Fields":"BCIOID"}');
  end;
  if TRIM(WSqlStr) <> '' then
    SqlStr := SqlStr + ' and ' + WSqlStr;
  if Trim(canshu4) <> '' then
    SqlStr := SqlStr + ' and isnull(StkCoName,'''')=''' + Trim(canshu4) + '''';
  SqlStr := SqlStr + ' order by IOTime desc';
//  ShowMessage(SqlStr);
//  InitCDSData(ADOQueryMain, CDS_1, Tv1, SqlStr, SGetFilters(Panel1, 1, 2), 'BCIOID');
  if FMXflag = '是' then  //是就是刷新所有的明细
  begin
    InitCDSData(ADOQueryMain, CDS_1, Tv1, SqlStr, SGetFilters(Panel1, 1, 2), 'C_Code');
  end
  else
  begin
    InitCDSData(ADOQueryMain, CDS_1, Tv1, SqlStr, SGetFilters(Panel1, 1, 2), 'BCIOID');
  end;

end;

procedure TfrmTradeClothTotalInList.InitGrid2();
var
  SqlStr: string;
begin
  SqlStr := ' select A.BCIONO,A.C_Code,C_Name,C_Color,C_ColorNo,C_Degree,C_Pattern,QtyUnit,StkPieceint=sum(CEILING(A.Piece)),StkQty=sum(Qty) ';
  SqlStr := SqlStr + ' from BS_Cloth_IO A    ';
  SqlStr := SqlStr + ' where A.IOTime>=''' + Trim(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.BegDate.Date)) + '''';
  SqlStr := SqlStr + ' and A.IOTime<''' + Trim(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.enddate.Date + 1)) + '''';
  SqlStr := SqlStr + ' and isnull(STKNAME,'''')=''' + Trim(FSTKNAME) + '''';
  SqlStr := SqlStr + ' and IOFlag=''入库''  ';
  if Trim(canshu4) <> '' then
    SqlStr := SqlStr + ' and isnull(StkCoName,'''')=''' + Trim(canshu4) + '''';

  SqlStr := SqlStr + ' group by A.BCIONO,C_Code,C_Name,C_Color,C_ColorNo,C_Degree,C_Pattern,QtyUnit';
//  showmessage(SqlStr);
  InitCDSData(ADO_2, CDS_2, Tv2, SqlStr, SGetFilters(Panel1, 1, 2), 'C_Code');
end;

procedure TfrmTradeClothTotalInList.IOTypePropertiesChange(Sender: TObject);
begin
  TBFind.Click;
end;

procedure TfrmTradeClothTotalInList.TBRafreshClick(Sender: TObject);
begin
  frmFrameDateSel1.BegDate.SetFocus;
  CurrentPage := 1;
  InitGrid('');
//  case cxPageControl1.ActivePageIndex of
//    0:
//      begin
//        FMXflag := '';
//        InitGrid2();
//      end;
//    1:
//      begin
//        FMXflag := '是';
//        InitGrid1();
//      end;
//  end;

end;

procedure TfrmTradeClothTotalInList.InitGrid(MWSql: string);
var
  WSql, WDateSql: string;
  SqlStr: string;
begin

  WDateSql := ' and A.Filltime>' + quotedstr(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.BegDate.Date));
  WDateSql := WDateSql + ' and A.Filltime<=' + quotedstr(FormatDateTime('yyyy-MM-dd', frmFrameDateSel1.enddate.Date + 1));
  WDateSql := WDateSql + ' and isnull(STKNAME,'''')=''' + Trim(FSTKNAME) + '''';
  if Trim(canshu4) <> '' then
    WDateSql := WDateSql + ' and isnull(StkCoName,'''')=''' + Trim(canshu4) + '''';

  case cxPageControl1.ActivePageIndex of
    0:
      begin
//        WSql := CommonFiltersByContainer(dxLayoutControl_query, '  {"EquTag": 1,"LikeTag": 2,"Fields": "OrderNo|FtyPCId|FtyPCId|C_Color|C_Code|C_Name"}');

        if trim(WSql) <> '' then
        begin
          WSql := WDateSql + ' and ' + trim(WSql);
        end
        else
          WSql := WDateSql;

        SqlStr := ' select A.C_Code,C_Name,C_Color,C_ColorNo,C_Degree,C_Pattern,QtyUnit,StkPieceint=sum(CEILING(A.Piece)),StkQty=sum(Qty) ';
        SqlStr := SqlStr + ' from BS_Cloth_IO A    ';
        SqlStr := SqlStr + ' where 1=1 ' + (WSql);
        SqlStr := SqlStr + ' and IOFlag=''入库''  ';
        SqlStr := SqlStr + ' group by C_Code,C_Name,C_Color,C_ColorNo,C_Degree,C_Pattern,QtyUnit';

        InitCDSData(ADO_2, CDS_2, Tv2, SqlStr, SGetFilters(Panel1, 1, 2), 'C_Code');
      end;

    1:
      begin
        if MWSql = '' then
          WSql := CommonFiltersByContainer(panel1, ' {"EquTag": 1,"LikeTag": 2,"Fields": ""}')
        else
          WSql := MWSql;

        if trim(WSql) <> '' then
        begin
          WSql := WDateSql + ' and ' + trim(WSql);
        end
        else
          WSql := WDateSql;

        SqlStr := 'exec P_Trade_Totalinlist_Get_Page ';
        SqlStr := SqlStr + ' @pageIndex=' + inttostr(CurrentPage);
        SqlStr := SqlStr + ' ,@pageSize=' + inttostr(RecordsNumber);
        SqlStr := SqlStr + ' ,@criteria= ' + quotedstr(WSql);
//        showmessage(SqlStr);
        InitCDSData(ADOQueryMain, CDS_1, Tv1, SqlStr, SGetFilters(Panel1, 1, 2), 'C_Code');
        LBCPAP.Caption := inttostr(CurrentPage) + '/' + inttostr(ceil(CDS_1.FieldByName('TotalCount').AsInteger / RecordsNumber));
      end;
  end;

end;

procedure TfrmTradeClothTotalInList.ToolButton1Click(Sender: TObject);
begin

  WriteCxGrid(trim(Self.Caption) + 'Tv1', Tv1, '贸易汇总仓库');
  WriteCxGrid(trim(Self.Caption) + 'Tv2', Tv2, '贸易汇总仓库');
end;

procedure TfrmTradeClothTotalInList.ToolButton2Click(Sender: TObject);
var
  MFiltration: string;
  MPrintJson: string;
begin

  if cxPageControl1.ActivePageIndex <> 1 then
    Exit;

  if CDS_1.IsEmpty then
    Exit;
  if CDS_1.Locate('SSel', True, []) = False then
  begin
    Application.MessageBox('没有选择数据!', '提示', 0);
    Exit;
  end;
  MFiltration := SelCDSKey(CDS_1, ['BCIOID'])[0];
  MPrintJson := '              {"LMType": "TradeFinishClothInPrt1"    ';
  MPrintJson := MPrintJson + ' ,"PreviewPrint": true      ';
  MPrintJson := MPrintJson + ' ,"PrtArgs": [ { "IsSql": false, "Filtration":" ' + MFiltration + '" }, ';
  MPrintJson := MPrintJson + '               { "IsSql": false, "Filtration":" ' + MFiltration + '" }, ';
  MPrintJson := MPrintJson + '               { "IsSql": false, "Filtration":" ' + MFiltration + '" }, ';
  MPrintJson := MPrintJson + '               { "IsSql": false, "Filtration":" ' + MFiltration + '" }, ';
  MPrintJson := MPrintJson + '               { "IsSql": false, "Filtration":" ' + MFiltration + '"  } ] }    ';
  FromPrintFr3(Application, PChar(DConString), PChar(MPrintJson));
end;

procedure TfrmTradeClothTotalInList.ToolButton3Click(Sender: TObject);
begin
  if cxPageControl1.ActivePageIndex <> 1 then
    Exit;
  if CDS_1.IsEmpty then
    Exit;
  try
    frmAttachmentUpload := TfrmAttachmentUpload.Create(Application);
    with frmAttachmentUpload do
    begin
      fkeyNO := Trim(Self.CDS_1.fieldbyname('BCIOID').AsString);
      fType := '贸易汇总布';
      FEditAuthority := True;
      if ShowModal = 1 then
      begin

      end;
    end;
  finally
    frmAttachmentUpload.Free;
  end;
end;

procedure TfrmTradeClothTotalInList.TV2DblClick(Sender: TObject);
begin
  cxPageControl1.ActivePageIndex := 1;
  FMXflag := '是';
//  FMXflag := '否';
end;

procedure TfrmTradeClothTotalInList.BCIONoKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin

    CurrentPage := 1;
    InitGrid('');

//    case cxPageControl1.ActivePageIndex of
//      0:
//        begin
//          InitGrid2();
//        end;
//      1:
//        begin
//          FMXflag := '是';
//          InitGrid1();
//        end;
//    end;
  end;
end;

procedure TfrmTradeClothTotalInList.btn1Click(Sender: TObject);
begin
  try
    frmTradeClothTotalInInput1 := TfrmTradeClothTotalInInput1.Create(Application);
    with frmTradeClothTotalInInput1 do
    begin
      FBCId := '';
      frmTradeClothTotalInInput1.canshu3 := Trim(Self.canshu3);
      FSTKName := Self.FSTKName;
      if ShowModal = 1 then
      begin
        Self.InitGrid2();
      end;
    end;
  finally
    frmTradeClothTotalInInput1.Free;
  end;
end;

procedure TfrmTradeClothTotalInList.BCIOIDPropertiesChange(Sender: TObject);
begin
  if Length(Trim(TcxTextEdit(Sender).Text)) < 4 then
    Exit;
  TBFind.Click;
end;

procedure TfrmTradeClothTotalInList.ConNoMChange(Sender: TObject);
begin
  if ADOQueryMain.Active then
  begin
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
  end;
end;

procedure TfrmTradeClothTotalInList.TBCloseClick(Sender: TObject);
begin

  Close;
end;

procedure TfrmTradeClothTotalInList.FormShow(Sender: TObject);
var
  mSql: string;
begin
  inherited;
  CurrentPage := 1;
  RecordsNumber := 500;
  mSql := 'select distinct name=A.IOType from BS_Cloth_IO A where IOFlag=''入库'' and isnull(STKNAME,'''')=''' + Trim(FSTKNAME) + ''' ';
  SInitTcxComBoxBySql(ADOQueryTemp, IOType, false, mSql);
  ReadCxGrid(trim(Self.Caption) + 'Tv1', Tv1, '贸易汇总仓库');
  ReadCxGrid(trim(Self.Caption) + 'Tv2', Tv2, '贸易汇总仓库');
  setStatus();
  InitGrid('');
end;

procedure TfrmTradeClothTotalInList.TBExportClick(Sender: TObject);
begin
  if ADOQueryMain.IsEmpty then
    exit;
  TcxGridToExcel(FSTKName + '入库列表', cxGrid1);
end;

procedure TfrmTradeClothTotalInList.TBFindClick(Sender: TObject);
begin

  CDSDataFilter(ADOQueryMain, CDS_1, Tv1, '{"FilterStr":"' + CommonFiltersByContainer(Panel1, '  {"EquTag": 1,"LikeTag": 2,"Fields": ""}') + '"  }');
end;

procedure TfrmTradeClothTotalInList.N1Click(Sender: TObject);
begin
  SelOKNo(CDS_1, True);
end;

procedure TfrmTradeClothTotalInList.N2Click(Sender: TObject);
begin
  SelOKNo(CDS_1, False);
end;

procedure TfrmTradeClothTotalInList.N3Click(Sender: TObject);
begin
  if cxPageControl1.ActivePageIndex = 0 then
  begin
    Clipboard.SetTextBuf(PChar(Trim(CDS_2.fieldbyname(TV2.Controller.FocusedColumn.DataBinding.FilterFieldName).AsString)));

  end
  else
  begin
    Clipboard.SetTextBuf(PChar(Trim(CDS_1.fieldbyname(TV1.Controller.FocusedColumn.DataBinding.FilterFieldName).AsString)));

  end;

end;

procedure TfrmTradeClothTotalInList.TBDelClick(Sender: TObject);
var
  MBCIOID, MBCIONO: string;
begin

  if cxPageControl1.ActivePageIndex <> 1 then
    Exit;
  if CDS_1.IsEmpty then
    Exit;
  if CDS_1.Locate('SSel', True, []) = False then
  begin
    Application.MessageBox('没有选择数据!', '提示', 0);
    Exit;
  end;
  if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
    Exit;
  MBCIOID := SelCDSKey(CDS_1, ['BCIOID'])[0];
  MBCIONO := SelCDSKey(CDS_1, ['BCIONO'])[0];

  with ADOQueryTemp do
  begin
    Close;
    sql.Clear;
    sql.Add('exec P_Fin_Flow_Judge ');
    Sql.Add(' @FFIDS=' + quotedstr(MBCIONO));
    Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
    Sql.Add(',@DName=' + quotedstr(Trim(DName)));
    Open;
  end;
  if ADOQueryTemp.FieldByName('intReturn').AsInteger = -1 then
  begin
    Application.MessageBox(PChar(ADOQueryTemp.fieldbyname('ShowMsg').AsString), '提示', 0);
    exit;
  end;
  try
    ADOQueryCmd.Connection.BeginTrans;
    with ADOQueryCmd do
    begin
      Close;
      Sql.Clear;
      sql.Add('insert into Finance_Need_Up(UType,UDataId,UOperation,UOperator,UModule,UDetails)       ');
      sql.Add('values(''贸易布坯入库''    ');
      sql.Add(',' + quotedstr(MBCIONO));
      sql.Add(',''删除''   ');
      sql.Add(',' + quotedstr(DName));
      sql.Add(',' + quotedstr(trim(self.Caption)));
      sql.Add(',' + quotedstr(MBCIOID));
      sql.Add(')  ');

      Sql.Add('exec P_BS_Cloth_In_Del ');
      Sql.Add(' @BCIOIDS=' + quotedstr(MBCIOID));
      Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
      Sql.Add(',@DName=' + quotedstr(Trim(DName)));
      Open;
    end;
    if ADOQueryCmd.FieldByName('intReturn').AsInteger = -1 then
      raise Exception.Create(pchar(trim(ADOQueryCmd.FieldByName('ShowMsg').AsString)));
    ADOQueryCmd.Connection.CommitTrans;
    InitGrid('');
//    InitGrid2();
//    InitGrid1();
  except
    ADOQueryCmd.Connection.RollbackTrans;
    application.MessageBox(PChar(Exception(ExceptObject).Message), '提示信息', 0);
    InitGrid('');
//    InitGrid2();
//    InitGrid1();
  end;

end;

procedure TfrmTradeClothTotalInList.TBAddClick(Sender: TObject);
begin
  try
    frmTradeClothTotalInInput := TfrmTradeClothTotalInInput.Create(Application);
    with frmTradeClothTotalInInput do
    begin
      FBCId := '';
      frmTradeClothTotalInInput.canshu3 := Trim(Self.canshu3);
      FSTKName := Self.FSTKName;
      if ShowModal = 1 then
      begin
//        Self.InitGrid2();
        Self.InitGrid('');
      end;
    end;
  finally
    frmTradeClothTotalInInput.Free;
  end;
end;

procedure TfrmTradeClothTotalInList.TBEditClick(Sender: TObject);
begin
  if cxPageControl1.ActivePageIndex <> 1 then
    Exit;
  if CDS_1.IsEmpty then
    Exit;
  with ADOQueryTemp do
  begin
    Close;
    sql.Clear;
    sql.Add('exec P_Fin_Flow_Judge ');
    Sql.Add(' @FFIDS=' + quotedstr(Trim(CDS_1.fieldbyname('BCIOID').AsString)));
    Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
    Sql.Add(',@DName=' + quotedstr(Trim(DName)));
    Open;
  end;
  if ADOQueryTemp.FieldByName('intReturn').AsInteger = -1 then
  begin
    Application.MessageBox(PChar(ADOQueryTemp.fieldbyname('ShowMsg').AsString), '提示', 0);
    exit;
  end;
  with ADOQueryTemp do
  begin
    Close;
    Sql.Clear;
    Sql.Add('exec P_BS_Cloth_In_Edit ');
    Sql.Add(' @BCIOIDS=' + quotedstr(Trim(CDS_1.fieldbyname('BCIOID').AsString)));
    Sql.Add(',@DCode=' + quotedstr(Trim(DCode)));
    Sql.Add(',@DName=' + quotedstr(Trim(DName)));
    Open;
  end;
  if ADOQueryTemp.FieldByName('intReturn').AsInteger = -1 then
  begin
    Application.MessageBox(PChar(ADOQueryTemp.fieldbyname('ShowMsg').AsString), '提示', 0);
    exit;
  end;
  try
    frmTradeClothTotalInInput := TfrmTradeClothTotalInInput.Create(Application);
    with frmTradeClothTotalInInput do
    begin
      FBCId := Trim(CDS_1.fieldbyname('BCIOID').AsString);

      FSTKName := Self.FSTKName;
      if ShowModal = 1 then
      begin
        Self.InitGrid2();
      end;
    end;
  finally
    frmTradeClothTotalInInput.Free;
  end;
end;

procedure TfrmTradeClothTotalInList.BCIOIDChange(Sender: TObject);
begin
  if Length(Trim(BCIOID.Text)) < 4 then
  begin
    if Trim(BCIOID.Text) <> '' then
      Exit;
  end;
  TBFind.Click;
end;

procedure TfrmTradeClothTotalInList.C_specChange(Sender: TObject);
begin
  TBFind.Click;
end;

procedure TfrmTradeClothTotalInList.FromCoNameChange(Sender: TObject);
begin
  TBFind.Click;
end;

procedure TfrmTradeClothTotalInList.cxButton1Click(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.cxButton1Click(Sender);
  InitGrid('');
//  InitGrid2();
end;

procedure TfrmTradeClothTotalInList.cxButton2Click(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.cxButton2Click(Sender);
  InitGrid('');
//  InitGrid2();
end;

procedure TfrmTradeClothTotalInList.cxButton3Click(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.cxButton3Click(Sender);
  InitGrid('');
//  InitGrid2()
end;

procedure TfrmTradeClothTotalInList.cxButton4Click(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.cxButton4Click(Sender);
  InitGrid('');
//  InitGrid2();
end;

procedure TfrmTradeClothTotalInList.cxButton5Click(Sender: TObject);
begin
  inherited;
  frmFrameDateSel1.cxButton5Click(Sender);
  InitGrid('');
//  InitGrid2();
end;

procedure TfrmTradeClothTotalInList.cxPageControl1Change(Sender: TObject);
begin
  case cxPageControl1.ActivePageIndex of
    1:
      begin
        FMXflag := '是';
//        InitGrid1();
        InitGrid('');
      end;
  end;
end;

procedure TfrmTradeClothTotalInList.cxTabControl1Change(Sender: TObject);
begin

  InitGrid2();
end;

end.

